Bug#873065: postfix: Some mails refused since libssl1.1_1.1.0f-4_amd64.deb

2017-09-13 Thread BERTRAND Joël
Hello, Same constatation with sendmail and libssl1.1_1.1.0f-5. Looking at tls1_2_default.patch from Debian's openssl, the only thing that needs to be done is to override this change: @@ -2372,7 +2372,10 @@ SSL_CTX *SSL_CTX_new(const SSL_METHOD *meth) goto err;

Bug#875173: [robocut] Future Qt4 removal from Buster

2017-09-13 Thread Markus Schulz
On 09/13/2017 10:28 AM, Lisandro Damián Nicanor Pérez Meyer wrote: > On 9 September 2017 at 21:53, Markus Schulz wrote: >> Hello Lisandro, >> the latest version supports Qt5 now... but it looks like we need to change >> the upstream URL. Here is the new upstream: >>

Bug#874494: rebuilding libsambox-java generates unmet dependency on libsejda-io-java (>= 1.1.3.RELEASE)

2017-09-13 Thread Emmanuel Bourg
Le 10/09/2017 à 18:05, Markus Koschany a écrit : > If the change in maven-debian-helper is permanent than I am in favor of > removing this flag in packages because I don't want to maintain several > patches which just correct a version number. Tools like m-d-h should > take care of this for me.

Bug#874701: Acknowledgement (RT3573 does not work on 4.12.x but works OK on 4.11.x)

2017-09-13 Thread Gabriel Mainberger
The bug can be closed as it seams that the bug has been already fixed in the package linux-image-4.12.0-2-amd64. Whatever the WLAN device is working normal again.

Bug#875685: ejabberd: Please enable sql database support

2017-09-13 Thread Thomas Maaß
Package: ejabberd Severity: wishlist Dear Maintainer, Please enable mysql / postgresql database support for ejabberd. -- System Information: Debian Release: 9.1 APT prefers stable-updates APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'stable') Architecture: amd64

Bug#875688: libreoffice-report-builder: Design view missing from libre office base. Existing reports won't run.

2017-09-13 Thread william l-k
Package: libreoffice-report-builder Version: 1:5.4.1-1 Severity: grave Justification: renders package unusable Dear Maintainer, libreoffice-report-builder will not run in base. Critical reports built using this tool cannot now be run. This occurred after the most recent upgrade to the debian

Bug#869614: [Pkg-fonts-devel] Bug#869614: fontforge: CVE-2017-11568 CVE-2017-11569 CVE-2017-11570 CVE-2017-11571 CVE-2017-11572 CVE-2017-11573 CVE-2017-11574 CVE-2017-11575 CVE-2017-11576 CVE-2017-115

2017-09-13 Thread Vasudev Kamath
Hideki Yamane writes: > On Tue, 29 Aug 2017 12:16:22 +0200 > Salvatore Bonaccorso wrote: >> Btw, any plan to do as well an unstable upload? > > I'm on Uploaders list, but cannot manipulate current fontforge source repo > since it changes packaging

Bug#875485: transition: tracker

2017-09-13 Thread Emilio Pozuelo Monfort
Control: tags -1 confirmed On Mon, 11 Sep 2017 14:51:19 -0400 Jeremy Bicha wrote: > Package: release.debian.org > Severity: normal > User: release.debian@packages.debian.org > Usertags: transition > X-Debbugs-CC: pkg-gnome-maintain...@lists.alioth.debian.org > > I request

Bug#874384: bijiben: tracker2 transition

2017-09-13 Thread Jeremy Bicha
Control: severity -1 serious I am raising the priority of this bug to serious since I am uploading tracker 2 to unstable now. I intend to upload bijiben 3.26.0 today as an NMU to fix this bug and https://bugs.debian.org/866633 On behalf of the Debian GNOME team, Jeremy Bicha

Bug#875684: libidn FTCBFS: fails running help2man

2017-09-13 Thread Helmut Grohne
Source: libidn Version: 1.33-2 Tags: patch Control: block -1 by 870669 User: helm...@debian.org Usertags: rebootstrap The 1.33-2 upload added help2man to the mix and that makes libidn fail to cross build from source of course. The attached patch adds a second, native build pass for generating

Bug#872766: [Pkg-fonts-devel] Bug#872766: Bug#872766: Bug#872766: fonts-arkpandora: upstream gone, should we drop it?

2017-09-13 Thread Vasudev Kamath
"Fabian Greffrath" writes: > Jonas Smedegaard wrote: >> No special reason, package just seem quite irrelevant. > > I agree, we probably have better looking fonts serving the same goal in > Debian already in the fonts-liberation, fonts-liberation2 and > fonts-croscore packages.

Bug#875692: mpDris2 crashed with mpd.ConnectionError in _read_line(): Connection lost while reading line

2017-09-13 Thread giovanni . alberotanza
Package: mpdris2 Version: 0.7+git20160917-1 = ProblemType: Crash Architecture: amd64 CurrentDesktop: GNOME Date: Wed Sep 13 19:12:59 2017 Dependencies: adduser 3.116 adwaita-icon-theme 3.25.91-1 apt 1.5~rc3 apt-utils 1.5~rc3 at-spi2-core 2.24.1-2 bzip2

Bug#875693: RFS: python-meshio/1.8.16-1

2017-09-13 Thread Ghislain Vaillant
Package: sponsorship-requests Severity: normal Dear mentors, I am looking for a sponsor for the following package: * Package name: python-meshio Version : 1.8.16-1 Upstream Author : Nico Schlömer * URL : https://github.com/nschloe/meshio * License : Expat

Bug#860268: .desktop files can hide malware in Nautilus

2017-09-13 Thread Donncha O'Cearbhaill
Phil Wyett: >> >> Hi, >> >> Please note that the debdiff I provided was essentially a raw backport for >> testing and I thought it may have issues. It was never meant as a 'here it >> is, >> all done' patch ready for submission as a stable update. >> >> I am a little busy at the moment, but if I

Bug#873139: transition: libgit2

2017-09-13 Thread Emilio Pozuelo Monfort
Control: tags -1 confirmed On 24/08/17 21:51, Ximin Luo wrote: > Package: release.debian.org > Severity: normal > User: release.debian@packages.debian.org > Usertags: transition > > Dear release team, > > libgit2 0.26 is in experimental and ready to start the transition from 0.24 > in

Bug#717736: liboggplay1: pkg-config aberrations: non-private Requires; -uninstalled.pc is installed

2017-09-13 Thread Rodrigo Siqueira Jordão
Hi Dafydd Harries, I adopted this package as a way to learn more about packaging and Debian community. As result, I intend to keep this package in a good shape. I already updated the package and I am working to update it for debhelper 10. I looked at the bug report and your patch. As

Bug#875687: libasound2-data: Unpacking libasound2-data (1.1.3-5) ...

2017-09-13 Thread Anudeep N Rao
Package: libasound2-data Version: 1.1.3-5 Severity: normal Tags: d-i upstream Dear Maintainer, * What led up to the situation? installing wine32 on amd64 OS * What exactly did you do (or not do) that was effective (or ineffective)? used apt --fix-broken install *

Bug#840328: evince: Evince does not received correct keystroke under Wayland

2017-09-13 Thread Bruno BEAUFILS
On Mon, Oct 10, 2016 at 06:45:36PM -0500, Jason Crain wrote: > I haven't been able to reproduce the behavior you describe. Evince I still have the trouble with some other gnome application on buster. > following the input sources the same as any other gnome app. Does not seem to be the case in

Bug#872004: Er det for grotesk at blive elsket? Linnea

2017-09-13 Thread Kurt Hansen
Yes Baby Skriv noget mere Hilsen TroldeFar Sendt via GMX internet > Den 13. sep. 2017 kl. 12.12 skrev Linnea Caleyo : > > Hvis ikke, kan vi hænge ud > > > > http://bitly.com/2y4SESh

Bug#875689: Please install spice-webdavd in the live cd

2017-09-13 Thread Laurent Bigonville
Package: debian-live Severity: normal Hi, Like spice-vdagent, it would be nice to also install spice-webdavd on the (GNOME?) live-cd. This is allowing the user to automagically share the files from the ~/Public folder to the VM gnome-boxes is exposing that folder already by default Regards,

Bug#875691: freexl: CVE-2017-2924: Heap-based buffer overflow in the read_legacy_biff function

2017-09-13 Thread Salvatore Bonaccorso
Source: freexl Version: 1.0.3-1 Severity: grave Tags: upstream security Hi, the following vulnerability was published for freexl. CVE-2017-2923[0]: Heap-based buffer overflow in the read_biff_next_record function If you fix the vulnerability please also make sure to include the CVE (Common

Bug#875690: freexl: CVE-2017-2923: Heap-based buffer overflow in the read_biff_next_record function

2017-09-13 Thread Salvatore Bonaccorso
Source: freexl Version: 1.0.3-1 Severity: grave Tags: upstream security Hi, the following vulnerability was published for freexl. CVE-2017-2923[0]: Heap-based buffer overflow in the read_biff_next_record function If you fix the vulnerability please also make sure to include the CVE (Common

Bug#875611: sagenb: ruby-compass obsolete and now broken

2017-09-13 Thread Jonas Smedegaard
Quoting Ximin Luo (2017-09-13 11:34:00) > Control: tags -1 + pending > > On Tue, 12 Sep 2017 18:04:56 +0200 Jonas Smedegaard wrote: > > [..]> > > Attached is a patch to make Sagenb use sassc with separately maintained > > stylesheets. It needs to wait until the stylesheets have

Bug#871219: ht: buffer overflow

2017-09-13 Thread Jakub Wilk
Control: found -1 2.1.0+repack1-3 * Anton Gladky , 2017-08-11, 21:59: I am not able to reproduce this bug on two of my machines. Could you please verify it, whether the bug is reproducible on your side? Yes, it is fully reproducible. -- Jakub Wilk

Bug#875699: mpack: please acknowledge 1.6-8.1 (and possibly 1.6-8.2) NMU(s)

2017-09-13 Thread Holger Levsen
Package: mpack Version: 1.6-8.1 Severity: normal Dear Maintainer, please acknowledge and merge this NMU (or these NMUs, 1.6.8-2 has just been uploaded to DELAYED-15) into your next upload. Thanks for maintaining mpack! -- cheers, Holger signature.asc Description: Digital signature

Bug#875688: libreoffice-report-builder: installed deb for 1:5.4.1-2 from www.libreoffice.org and report builder works again

2017-09-13 Thread william l-k
Package: libreoffice-report-builder Version: 1:5.4.1-1 Followup-For: Bug #875688 Dear Maintainer, As stated in the subject heading, report builder is working in 1:5.4.1-2 from libreoffice.org. The deb package was missing the mysql connector extension, and the one from extensions.libreoffice.org

Bug#601455: Steps towards a patch to document disabling a daemon upon installation

2017-09-13 Thread Sean Whitton
control: block 601455 by 857452 On Mon, Sep 11 2017, Ian Jackson wrote: > This should also be fixed with a new update-rc.d rune. Thank you, Ian and Felipe, for your feedback. I think the right thing is to wait on #857452. -- Sean Whitton signature.asc Description: PGP signature

Bug#875456: [Pkg-giraffe-maintainers] Bug#875456: libvmime: FTBFS on non-Linux: no getThreadId implementation

2017-09-13 Thread Guido Günther
Hi, On Tue, Sep 12, 2017 at 09:12:40PM -0400, Aaron M. Ucko wrote: > "Aaron M. Ucko" writes: > > > /«PKGBUILDDIR»/src/vmime/platforms/posix/posixHandler.cpp:243:3: error: > > #error We have no implementation of getThreadId() for this platform! > > Thanks for the quick fix!

Bug#875697: arpack: debian versions 3.4.0-1 and 3.5.0-1 are actually upstream version 3.3.0

2017-09-13 Thread Mike Miller
On Wed, Sep 13, 2017 at 10:51:06 -0700, Mike Miller wrote: > I noticed that arpack 3.4.0-1 and 3.5.0-1 are actually built from the > upstream source version 3.3.0. The sources in the Debian archive are > identical: I guess this was caused by a buggy filenamemangle rule in debian/watch, which

Bug#875706: edbrowse: please package new upstream version

2017-09-13 Thread Paul Gevers
Package: edbrowse Version: 3.6.3-1 Severity: wishlist Control: block -1 by 872040 -BEGIN PGP SIGNED MESSAGE- Hash: SHA256 There is a new version of edbrowse available from upstream. Because edbrowse migrated from the mozjs suite to duktape, packaging is blocked by bug 872040 in

Bug#875705: zoo FTCBFS: uses the build architecture compiler

2017-09-13 Thread Helmut Grohne
Source: zoo Version: 2.10-28 Tags: patch User: helm...@debian.org Usertags: rebootstrap zoo fails to cross build from source, because it uses the build architecture compiler. debian/rules fails to pass cross compilers to make and the linux and linux64 targets fail to forward cross compilers.

Bug#875704: gdk-pixbuf: please make the output of gdk-pixbuf-query-loaders reproducible

2017-09-13 Thread Chris Lamb
Chris Lamb wrote: > Patch attached. Updated patch attached. Regards, -- ,''`. : :' : Chris Lamb `. `'` la...@debian.org / chris-lamb.co.uk `- diff --git a/debian/libgdk-pixbuf2.0-0.postinst.in b/debian/libgdk-pixbuf2.0-0.postinst.in index 91b34cd..bff7385

Bug#875695: stretch-pu: package apt/1.4.8

2017-09-13 Thread Julian Andres Klode
Package: release.debian.org Severity: normal Tags: stretch User: release.debian@packages.debian.org Usertags: pu Hi, I'd like to upload apt 1.4.8 to stretch. It fixes a crash in the mirror method, reduces chances of unattended-upgrades from being killed during shutdown when installing

Bug#875698: libblocksruntime FTBFS on ppc64le: undefined reference to __stack_chk_guard

2017-09-13 Thread Roberto Oliveira
libblocksruntime depends on clang to build and Debian clang package current provides clang 3.8, however clang 3.8 has a bug [1] when using -fstack-protector to link on ppc64le. This bug was fixed by commits r265851, r266806 and r266809 and are part of clang 3.9. I tested and with clang 3.9

Bug#875698: libblocksruntime FTBFS on ppc64le: undefined reference to __stack_chk_guard

2017-09-13 Thread Roberto Oliveira
Package: libblocksruntime Version: 0.4.1-1.1 Severity: important https://buildd.debian.org/status/fetch.php?pkg=libblocksruntime=ppc64el=0.4.1-1.1=1485544701=0 ... dh_auto_test -a make -j1 check VERBOSE=1 make[1]: Entering directory '/«PKGBUILDDIR»' make blockrt-test make[2]: Entering directory

Bug#777376: NMU uploaded to delayed/15 to fix #777376 in mpack

2017-09-13 Thread Holger Levsen
control: tags -1 + pending Hi, as per https://lists.debian.org/msgid-search/20170801141556.xadz5cdayof4v...@mapreri.org I've done a non-maintainer upload to DELAYER/15 to fix #777376 in mpack, with the patch found in http://bugs.debian.org/777376 If you don't like this, either please tell me

Bug#875700: gtk+3.0: please make the immodules.cache files reproducible

2017-09-13 Thread Chris Lamb
Source: gtk+3.0 Version: 3.22.21-1 Severity: wishlist Tags: patch User: reproducible-bui...@lists.alioth.debian.org Usertags: toolchain filesystemordering X-Debbugs-Cc: reproducible-b...@lists.alioth.debian.org Hi, Whilst working on the Reproducible Builds effort [0], we noticed that gtk+3.0's

Bug#875687: [Pkg-alsa-devel] Bug#875687: libasound2-data: Unpacking libasound2-data (1.1.3-5) ...

2017-09-13 Thread Elimar Riesebieter
* Anudeep N Rao [2017-09-13 15:45 +]: > Package: libasound2-data > Version: 1.1.3-5 > Severity: normal > Tags: d-i upstream > > Dear Maintainer, > > >* What led up to the situation? > > installing wine32 on amd64 OS > >* What exactly did you do (or

Bug#875694: libnss3 still uses SSE2 instructions on i386 (cf. #871700)

2017-09-13 Thread Fanael Linithien
Package: libnss3 Version: 2:3.32-2 Severity: important Even after the latest change, libnss3 on i386 still requires SSE2 to run, because freebl's rijndael.c and gcm.c are still compiled with -mclmul and -maes, which imply -msse2, and since these files contain the software fallbacks, the generated

Bug#875696: courier-mlm fails to install

2017-09-13 Thread Bruno Gravato
Package: courier-mlm Version: 0.76.3-5 Severity: grave Justification: renders package unusable Dear Maintainer, courier-mlm failed to install using the command: apt install courier-mlm Errors below: A instalar courier-mlm (0.76.3-5) ... Created symlink

Bug#722296: base-passwd: update-passwd adds gnats to passwd but not shadow

2017-09-13 Thread Sven Joachim
On 2013-09-09 17:51 -0400, Eric Cooper wrote: > Package: base-passwd > Version: 3.5.28 > Severity: normal > > I had removed the gnats account on my system since I had no use for > it, not realizing that it was one of the "standard" ones. On the next > upgrade of base-passwd, it prompted me as

Bug#875690: Fixed in FreeXL 1.0.4

2017-09-13 Thread Bas Couwenberg
Control: tags -1 fixed-upstream Should be fixed in the new upstream release: https://groups.google.com/forum/m/#!topic/spatialite-users/Wpj62XSzcZY I'm not able to work on this until I return from VAC. Kind Regards, Bas

Bug#875701: mockchain crashes trying to call not existing /usr/bin/createrepo_c

2017-09-13 Thread Carpentier
Package: mock Version: 1.3.2-2 Severity: normal Dear Maintainer, The mock package ships two commands: * mock * mockchain The mockchain command is not working because it tries to call /usr/bin/createrepo_c which is not available in any Debian package. (line 59 and 61 of /usr/bin/mockchain)

Bug#860268: .desktop files can hide malware in Nautilus

2017-09-13 Thread Phil Wyett
On Wed, 2017-09-13 at 15:32 +, Donncha O'Cearbhaill wrote: > Phil Wyett: > > > > > > Hi, > > > > > > Please note that the debdiff I provided was essentially a raw backport for > > > testing and I thought it may have issues. It was never meant as a 'here it > > > is, > > > all done' patch

Bug#875700: gtk+3.0: please make the immodules.cache files reproducible

2017-09-13 Thread Chris Lamb
forwarded 875700 https://bugzilla.gnome.org/show_bug.cgi?id=786528 thanks This also lives upstream here: https://bugzilla.gnome.org/show_bug.cgi?id=786528 Please check there for a canonical patch before applying as it might get out of sync with this bug. Regards, -- ,''`. : :'

Bug#875703: debcrossgen defaults to a non-default gcc

2017-09-13 Thread Helmut Grohne
Package: meson Version: 0.42.1-1 File: /usr/share/meson/debcrossgen Tags: patch User: helm...@debian.org Usertags: rebootstrap Hi Jussi, Thanks for uploading debcrossgen. Unfortunately, the present debcrossgen is not useable, because it hard codes a non-default gcc (-6). Such a gcc is not

Bug#875702: archvsync: Please delete log files

2017-09-13 Thread Daniel Lewart
Package: archvsync Version: 20170912 Severity: minor Debian Mirror Team, archvsync 20170204 log directory has only one ".dummy" file. archvsync 20170912 log directory has an additional 66 files. If these were included in error, they should be removed. Thank you! Daniel Lewart

Bug#875704: gdk-pixbuf: please make the output of gdk-pixbuf-query-loaders reproducible

2017-09-13 Thread Chris Lamb
Source: gdk-pixbuf Version: 2.36.5-4 Severity: wishlist Tags: patch User: reproducible-bui...@lists.alioth.debian.org Usertags: toolchain filesystemordering X-Debbugs-Cc: reproducible-b...@lists.alioth.debian.org Hi, Whilst working on the Reproducible Builds effort [0], we noticed that the

Bug#875697: arpack: debian versions 3.4.0-1 and 3.5.0-1 are actually upstream version 3.3.0

2017-09-13 Thread Mike Miller
Source: arpack Version: 3.5.0-1+b1 Severity: important Dear Maintainer, I noticed that arpack 3.4.0-1 and 3.5.0-1 are actually built from the upstream source version 3.3.0. The sources in the Debian archive are identical: $ sha256sum arpack_*.orig.tar.gz

Bug#875709: yaml-cpp0.3 FTCBFS: configures for the build architecture

2017-09-13 Thread Helmut Grohne
Source: yaml-cpp0.3 Version: 0.3.0-1.2 Tags: patch User: helm...@debian.org Usertags: rebootstrap yaml-cpp0.3 fails to cross build from source, because it configures for the build architecture. Coming up with the right cmake flags is tedious, but dh_auto_configure solves that for us. After using

Bug#866952: [Pkg-xen-devel] Bug#866952: xen-system-amd64: Xen 4.8 Install on Stretch Crashes on Boot

2017-09-13 Thread Berillions
Hi Bill, Do you still have your crash at boot ? Because i had the same problem than you with my Desktop (Ryzen Rx1700 + AMD Rx560) and the solution that i found is to add this option in the Xen Grub command line : iommu=dom0-passthrough. With it, my Dom0 boot correctly. Cheers, Maxime

Bug#875710: ganeti: initialization times out because services don't start up

2017-09-13 Thread Martin Weinelt
Package: ganeti Version: 2.15.2-10 Severity: important Dear Maintainer, I have ganeti 2.15.2-10 from sid installed on a stretch system. Initialization fails reliably, because the masterd isn't coming up, making the process timeout. Retrying the init says the cluster is already initialized.

Bug#874048: catdoc 1:0.95-3 fails to extract text from certain documents

2017-09-13 Thread Martín Ferrari
Robert, On 04/09/17 06:16, Robert Zavalczki wrote: > I think that the problem is that "nLen" is in bytes, but OLENAMELENGTH > is in UCS-2 characters. When processing the LibreOffice document an OLE > stream having the name "SummaryInformation\0" is encountered. The name > in bytes of this stream

Bug#875715: RFS: rhythmbox-plugin-alternative-toolbar/0.17.5-1

2017-09-13 Thread foss.freedom
Package: sponsorship-requests Severity: normal Dear mentors, I am looking for a sponsor for my package "rhythmbox-plugin-alternative-toolbar" * Package name: rhythmbox-plugin-alternative-toolbar Version : 0.17.5-1 Upstream Author : David Mohammed *

Bug#875618: openblas: please enable build on s390x

2017-09-13 Thread PICCA Frederic-Emmanuel
Hello > Unfortunately it does not look that simple. OpenBLAS is optimized for z13, but > our s390x port is supposed to support all the z systems (see [1]). what about asking for a a z13-support package to the isa-support (source package) maintainer. This way it could be possible to upload an

Bug#875683: nvidia-graphics-drivers: libGL.so.1 missing with libglvnd libs

2017-09-13 Thread Andreas Beckmann
On 2017-09-13 15:47, Andreas Beckmann wrote: > On 2017-09-12 22:01, Luca Boccassi wrote: >> I built and installed, it pulled in libglvnd0 (:i386), but then >> libGL.so.1 is gone from /usr/lib/(32|64 bit subdirs) so most things >> fail to run, including Gnome. Are both libGL.so.1 missing or only

Bug#875688: libreoffice-report-builder: installed deb for 1:5.4.1-2 from www.libreoffice.org and report builder works again

2017-09-13 Thread Rene Engelhard
Hi, On Wed, Sep 13, 2017 at 12:46:57PM -0500, william l-k wrote: > As stated in the subject heading, report builder is working in 1:5.4.1-2 from > libreoffice.org. There is no "deb for 1:5.4.1-2 from www.libreoffice.org". > The deb package was missing the mysql connector extension, and the one

Bug#875711: qemu: please make the documentation reproducible

2017-09-13 Thread James Clarke
On Wed, Sep 13, 2017 at 01:40:11PM -0700, Vagrant Cascadian wrote: > Source: qemu > Version: 1:2.8+dfsg-7 > Severity: wishlist > Tags: patch > User: reproducible-bui...@lists.alioth.debian.org > Usertags: randomness > X-Debbugs-Cc: reproducible-b...@lists.alioth.debian.org > > While working on the

Bug#875708: [mytop] missing libconfig-inifiles-perl

2017-09-13 Thread Jörg Frings-Fürst
Package: mariadb-client-10.1 Version: 10.1.26-1 Severity: serious -BEGIN PGP SIGNED MESSAGE- Hash: SHA512 Hello, on a fresh install I get on call mytop: > mytop Can't locate Config/IniFiles.pm in @INC (you may need to install the Config::IniFiles module) (@INC contains: /etc/perl

Bug#875707: Please package cbor 1.0.0

2017-09-13 Thread Thomas Goirand
Package: python-cbor Version: 0.1.24-1+b1 Severity: wishlist Hi, Doko wants a newer python-autobahn for buildbot, and I need it too for OpenStack. Autobahn 1.17.1 needs cbor >= 1.0.0. Please package it. Cheers, Thomas Goirand (zigo)

Bug#875712: nova-placement-api fails to start with "unrecognized arguments"

2017-09-13 Thread Geoffrey Thomas
Package: nova-placement-api Version: 2:14.0.0-4 Installing nova-placement-api results in a service that crashes (and gets respawned by systemd) with these logs: systemd[1]: Starting OpenStack Compute Placement API... systemd[1]: Started OpenStack Compute Placement API.

Bug#875713: ITP: aether-ant-tasks -- Ant tasks to resolve Maven dependencies and install/deploy artifacts

2017-09-13 Thread Emmanuel Bourg
Package: wnpp Severity: wishlist Owner: Emmanuel Bourg * Package name: aether-ant-tasks Version : 1.0.1 Upstream Author : The Eclipse Foundation * URL : https://github.com/eclipse/aether-ant * License : EPL-1.0 Programming Lang: Java

Bug#875711: qemu: please make the documentation reproducible

2017-09-13 Thread Vagrant Cascadian
Source: qemu Version: 1:2.8+dfsg-7 Severity: wishlist Tags: patch User: reproducible-bui...@lists.alioth.debian.org Usertags: randomness X-Debbugs-Cc: reproducible-b...@lists.alioth.debian.org While working on the Reproducible Builds effort [0], we noticed that qemu's documentation and manpages

Bug#875703: debcrossgen defaults to a non-default gcc

2017-09-13 Thread Jussi Pakkanen
On Wed, Sep 13, 2017 at 10:01 PM, Helmut Grohne wrote: > I'm not sure why you felt the need to append a version, but my attached > patch supports your need by adding a --gccsuffix option to debcrossgen > while defaulting to an unversioned gcc as is expected by most Debian >

Bug#780937: remmina: random crash (SIGSEGV)

2017-09-13 Thread Matteo F. Vescovi
On 2017-04-20 at 21:21 (+0800), Paul Wise wrote: > Package: remmina > Version: 1.1.2-4 > Followup-For: Bug #780937 > > On Sun, 22 Mar 2015 14:22:25 +0800 Paul Wise wrote: > >> I got a random crash while logged into an RDP server. > > I got another crash that looks similar to the last one: > [...]

Bug#816779: Remmina doesn't always honor scale ratio lock

2017-09-13 Thread Matteo F. Vescovi
Hi! On 2016-08-09 at 04:48 (+0300), Dark Penguin wrote: > This is one of two bugs with Remmina that really annoy me; after a > while, I've gathered more data and now I think have the simplest way > to reproduce the problem. Also, this time all the machines are running > Debian Jessie with MATE. >

Bug#875707: Please package cbor 1.0.0

2017-09-13 Thread Agustin Henze
On 09/13/2017 05:02 PM, Thomas Goirand wrote: > Hi, > > Doko wants a newer python-autobahn for buildbot, and I need it > too for OpenStack. Autobahn 1.17.1 needs cbor >= 1.0.0. Please > package it. Hey Zigo, I didn't know that the package had rdepends :). The new package release is already in

Bug#875636: lintian ignores profiles under $HOME

2017-09-13 Thread Chris Lamb
Hi, > lintian ignores profiles under $HOME Without looking too much in detail right now, this commit looks relevant: https://anonscm.debian.org/git/lintian/lintian.git/commit/?id=6aa20a6cb8e71ae0f1932328396e37efc63114d9 (And again, without testing, you might be able to specify

Bug#875717: high cpu while loading background image

2017-09-13 Thread Pablo Barciela
Package: caja Version: 1.18.4-1 Severity: important steps to reproduce: with system -> preferences -> look and feel -> appareance I set the background image on a .png file don't close the appareance window in a terminal I rename the .png file with mv y go to appearance again and I click in

Bug#875718: override: calligra-reports-web-element:oldlibs/optional

2017-09-13 Thread Pino Toscano
Package: ftp.debian.org Severity: normal Hi, please change the section of calligra-reports-web-element to oldlibs, as it is a transitional package since calligra 3.0. (The current binary has priority=extra, but it will be fixed with the next upload.) Thanks, -- Pino

Bug#875688: libreoffice-report-builder: Design view missing from libre office base. Existing reports won't run.

2017-09-13 Thread Rene Engelhard
On Wed, Sep 13, 2017 at 04:40:12PM -0500, william l-k wrote: >Sorry, I have another message I'm composing. I did try the following: >/usr/lib/jvm/jdk-8-oracle-x64/jre >/usr/lib/jvm/java-8-openjdk-amd64/jre >/usr/lib/jvm/java-8-openjdk-amd64/jre >The problem still occurs with

Bug#875720: KTorrent 5.1.0-2 misidentifies itself to tracker.

2017-09-13 Thread David
Package: ktorrent Version: 5.1.0-2 This version appears to identify itself to a tracker as -KT / KTorrent/5.0dev Trackers with strict rules about clients will not accept to connect because of the "dev" at the end of the ID. I get this from a private tracker: xx.xx.xx.xxx7881

Bug#875432: s/python3-sphinx-intl/sphinx-intl

2017-09-13 Thread Antonio Terceiro
On Wed, Sep 13, 2017 at 12:26:34PM +0100, Ghislain Vaillant wrote: > On 13/09/17 12:21, Ondrej Novy wrote: > > if sphinx-intl is primary application (cli tool, etc.), than binary pkg > > sphinx-intl is better. If it's library/module, than python3-sphinx-intl > > is better. > > Based on the

Bug#875686: history.cgi misses jquery.min.js

2017-09-13 Thread Jean-Michel Vourgère
Package: icinga2-classicui Version: 2.6.0-2 Severity: normal Hello In the "Host Alert History" pages, the html contains an include on /icinga2- classicui/jquery/jquery.min.js that returns a 404. May be this is why the "Select a day ..." link doesn't work. If I press the "Earlier Archive" link,

Bug#841733: Transition Opencv 3.1

2017-09-13 Thread Emilio Pozuelo Monfort
On Sat, 15 Jul 2017 09:41:43 +0200 Emilio Pozuelo Monfort wrote: > On 15/07/17 00:51, Mattia Rizzolo wrote: > > On Fri, Jul 14, 2017 at 11:16:23AM +0200, Mattia Rizzolo wrote: > >> But in the meantime OpenCV 3.2 went out, so we'd like to go for that. > >> It has been accepted

Bug#875727: more

2017-09-13 Thread Russell Coker
init_dbus_chat(udev_t) init_stream_connect(udev_t) Also needs the above. -- My Main Blog http://etbe.coker.com.au/ My Documents Bloghttp://doc.coker.com.au/

Bug#875728: libgtk2.0-dev: Please remove dh_gtkmodules

2017-09-13 Thread Hugh McMaster
Package: libgtk2.0-dev Version: 2.24.31-2 Severity: wishlist Dear Maintainer, The dh_gtkmodules script was deprecated when gtk+2.0 (2.21.5-1) was released more than seven years ago. Please remove this script from the libgtk2.0-dev package, as it uses hard-coded paths that are not multi-arch

Bug#875703: debcrossgen defaults to a non-default gcc

2017-09-13 Thread Helmut Grohne
On Thu, Sep 14, 2017 at 12:26:04AM +0300, Jussi Pakkanen wrote: > When compiling with Meson, CC and CXX must point to the native > compilers, not to cross compilers. If the crossgen tool uses CC that > means that debuild needs to first set it to the cross compiler, run > crossgen and then set it

Bug#780937: remmina: random crash (SIGSEGV)

2017-09-13 Thread Paul Wise
On Wed, 2017-09-13 at 23:36 +0200, Matteo F. Vescovi wrote: > Paul, could you check if the problem persists even with the 1.2.0 > release, uploaded to experimental for testing purposes? Since they were random, I don't have any way to reproduce them, so I can't test them against the experimental

Bug#875456: [Pkg-giraffe-maintainers] Bug#875456: libvmime: FTBFS on non-Linux: no getThreadId implementation

2017-09-13 Thread Carsten Schoenert
Control: clone -1 -2 Control: retitle -2 libvmime: still FTBFS on Hurd due missed getThreadId implementation Hello Aaron, On Wed, Sep 13, 2017 at 10:17:44PM -0400, Aaron M. Ucko wrote: > Guido Günther writes: > > > Can you send a patch tested on hurd? > > Sure, no problem.

Bug#705328: remmina: doesn't respect ssh configuration settings

2017-09-13 Thread Paul Wise
Control: reopen -1 On Wed, 2017-09-13 at 22:52 +0200, Matteo F. Vescovi wrote: > This issue has been marked as fixed upstream. AFAICT, this issue has not been fixed, even in 1.2.0. BTW, the version number for the experimental version should have been 1.2.0~rcgit.20-1 instead because ~ sorts

Bug#875725: kopanocore: FTBFS on non-Linux: si_{u,s}time and si_fd don't exist

2017-09-13 Thread Aaron M. Ucko
Source: kopanocore Version: 8.3.4-1 Severity: important Tags: upstream Justification: fails to build from source Hello again. :-) Now that libvmime is up to date on kFreeBSD (thanks!), kopanocore gets to the point of compilation there, but still FTBFS due to lacking Linux-specific siginfo_t

Bug#875726: selinux-policy-default: systemd-tmpfiles can't create lastlog in strict config on unstable

2017-09-13 Thread Russell Coker
Package: selinux-policy-default Version: 2:2.20161023.1-9 Severity: normal [9.079307] audit: type=1400 audit(1505357240.712:4): avc: denied { create } for pid=254 comm="systemd-tmpfile" name="lastlog" scontext=system_u:system_r:systemd_tmpfiles_t:s0

Bug#872004: UNWANTED MAIL

2017-09-13 Thread dmcerlane
REMOVE ME FROM ALL MAILING LISTS!!!

Bug#875545: ITP: cpdf -- The tool provide a wide range of professional, robust tools to modify PDF files.

2017-09-13 Thread Francisco Vilmar Cardoso Ruviaro
Hi Alexandre, With cpdf you can scale, crop, set pdf version, it is one of the advantages I see. For example: Convert an A4 page to A3, for example: cpdf -scale-page "2 2" in.pdf -o out.pdf Include the pages of a file to fit the A4 image: cpdf -scale-to-fit "297mm 210mm" in.pdf -o out.pdf cpdf

Bug#873294: mpv: No protocol handler for dvb

2017-09-13 Thread Rob Moss
Dear Maintainer, I've looked into this, and DVB support was disabled by default in mpv 0.26.0. The release notes state: "DVB support is disabled by default since it does not work with some older kernels." This change was introduced in commit 99cef59: > dvb: disable by default > > It fails

Bug#875677: devscripts: mk-build-deps creates the build-dep package in the wrong directory

2017-09-13 Thread James McCoy
Control: reassign -1 equivs 2.1.0 Control: affects -1 + devscripts On Wed, Sep 13, 2017 at 02:26:55PM +0200, Jiri Palecek wrote: > while making a build-dep package, mk-build-deps writes: > > dpkg-deb: vytvářím balík ,,kwin-build-deps" v > ,,../kwin-build-deps_5.10.5-2_i386.deb". > > The

Bug#875723: python3-pandas: Pandas is not installable

2017-09-13 Thread Diane Trout
Package: python3-pandas Version: 0.19.2-5.1 Severity: serious Dear Maintainer, When trying to build statsmodels in a sid chroot I wasn't able to install python-pandas-lib because libpython2.7-stdlib declares a breaks on python-pandas-lib (<= 0.20.3-1) also python3-stdlib declares a breaks on

Bug#875724: ITP: elpa-commander -- Command line parsing for Emacs

2017-09-13 Thread Nicholas D Steeves
Package: wnpp Severity: wishlist Owner: Nicholas D Steeves Control: block 875722 by -1 * Package name: elpa-commander Version : 0.7.0 Upstream Author : Johan Andersson * URL : https://github.com/rejeep/commander.el *

Bug#872206: html documentation is not properly formatted

2017-09-13 Thread Michael Biebl
Control: tags -1 + patch On Sun, 27 Aug 2017 16:07:32 +0200 Michael Biebl wrote: > Control: forcemerge 872206 872175 > > On Mon, 14 Aug 2017 22:57:55 +0200 Michael Biebl wrote: > > Package: restic > > Version: 0.7.1-1 > > Severity: normal > > > > It looks

Bug#875721: sddm: auth file passed to Xserver doesn't allow tcp connections

2017-09-13 Thread Bruce Robson
Package: sddm Version: 0.14.0-4 Severity: important Dear Maintainer, I'm running testing (buster) on one of my PCs. This uses sddm instead of the previous kdm. kdm generates an auth file for passing to the Xserver that uses the wildcard value for connection method. e.g. ###:

Bug#875722: ITP: ert-runner -- Opinionated Ert testing workflow

2017-09-13 Thread Nicholas D Steeves
Package: wnpp Severity: wishlist Owner: Nicholas D Steeves Control: block 825980 by -1 * Package name: ert-runner Version : 0.7.0 Upstream Author : Jorgen Schaefer * URL : http://github.com/rejeep/ert-runner.el *

Bug#870442: upower lazy about critical-action

2017-09-13 Thread Harlan Lieberman-Berg
tag 870442 +patch +upstream forwarded 870442 https://bugs.freedesktop.org/show_bug.cgi?id=99658 thanks Hello UPower maintainers, This is an upstream bug, but there is a very simple patch available that solves this issue by allowing a user to set the value to Ignore. Unfortunately, this patch

Bug#874027: totem: frequent parallel building FTBFS

2017-09-13 Thread Jeremy Bicha
Could you please report this issue upstream? I am working around this for now by disabling parallel building so that totem 3.26 can migrate to testing. Thanks, Jeremy Bicha

Bug#869163: skrooge: Missing icons in Skrooge in Debian Stretch

2017-09-13 Thread Cyril Brulebois
thierry (2017-07-21): > Package: skrooge > Version: 2.7.0-1 > Severity: normal > > Dear Maintainer, > > I have just upgraded from Jessie to Stretch, and many icons are > missing in the new Skrooge version. > > I have installed the breeze-icon-theme package as

Bug#872173: Please provide man page for restic binary

2017-09-13 Thread Michael Biebl
On Mon, 14 Aug 2017 22:53:45 +0200 Michael Biebl wrote: > Package: restic > Version: 0.7.1-1 > Severity: wishlist > > The restic binary seems to lack a man page. > > There are some html files in /usr/share/doc/, but a man page would still > be useful for more basic

Bug#870442: upower lazy about critical-action

2017-09-13 Thread Michael Biebl
On Wed, 13 Sep 2017 21:06:54 -0400 Harlan Lieberman-Berg wrote: > tag 870442 +patch +upstream > forwarded 870442 https://bugs.freedesktop.org/show_bug.cgi?id=99658 > thanks > > Hello UPower maintainers, > > This is an upstream bug, but there is a very simple patch

Bug#819666: upower lazy about critical-action

2017-09-13 Thread Harlan Lieberman-Berg
tags 870442 -patch -upstream tags 819666 +patch +upstream notforwarded 870442 forwarded 819666 https://bugs.freedesktop.org/show_bug.cgi?id=99658 thanks Sorry, Michael -- that's my fault completely. I had a couple of different UPower bugs open, and I tagged the wrong one. Sincerely, On Wed,

Bug#875456: [Pkg-giraffe-maintainers] Bug#875456: libvmime: FTBFS on non-Linux: no getThreadId implementation

2017-09-13 Thread Aaron M. Ucko
Guido Günther writes: > Can you send a patch tested on hurd? Sure, no problem. With the attached version of adding-alternative-getThreadId-implementation.patch applied, the build and the upstream test suite both succeed on the hurd-i386 porter box exodar.debian.net. (NB: The

Bug#875545: ITP: cpdf -- The tool provide a wide range of professional, robust tools to modify PDF files.

2017-09-13 Thread Francisco Vilmar Cardoso Ruviaro
Hi Andrey, Thanks for the guidance, I understand that if I accept the package will go to non-free, I will improve the description, I am learning how to package and hope to do the best possible. Thank you! signature.asc Description: OpenPGP digital signature

  1   2   3   >